Project

General

Profile

Segnalazione #99

Aggiornamento Oracle-Java

Added by Piergiorgio Cemin almost 5 years ago. Updated almost 5 years ago.

Status:
Chiuso
Priority:
Normale
Start date:
12/07/2016
Due date:
% Done:

0%


Description

Al momento attuale per aggiornare Oracle-Java (o per installarlo), bisogna:
1) far uscire liberamente il client agendo sul firewall
2) Togliere le istruzioni sul proxy dai file /etc/apt/apt.conf, /etc/environment e /etc/wgetrc
Secondo me è da automatizzare la procedura nel momento in cui è richiesta l'installazione. Ciò capita anche per altri repository.
Conclusa l'installazione o l'aggiornamento, I file devono essere ripristinati come erano.

Associated revisions

History

#1 Updated by Christopher R. Gabriel almost 5 years ago

  • Status changed from Nuovo to Commenti
  • Assignee changed from Christopher R. Gabriel to Piergiorgio Cemin

Ma per cosa e' richiesto? Cosa e' che non si puo' fare con openjdk 7 e 8? Per altro, anche qui problemi di licenza.

#2 Updated by Piergiorgio Cemin almost 5 years ago

  • Assignee changed from Piergiorgio Cemin to Christopher R. Gabriel

Purtroppo il problema è legato ad alcune applicazioni Web che funzionano solo con Oracle Java. La stessa cosa succede con la maschera Java per le prove Invalsi (quella fatta per funzionare con Linux) che richiedeva (almeno fino allo scorso anno) Oracle Java. Ora il problema è che dobbiamo fare in modo almeno di dare ai tecnici una soluzione veloce per installarla nel momento in cui serva.

#3 Updated by Christopher R. Gabriel almost 5 years ago

  • Assignee changed from Christopher R. Gabriel to Piergiorgio Cemin

Piergiorgio Cemin ha scritto:

Purtroppo il problema è legato ad alcune applicazioni Web che funzionano solo con Oracle Java.

Cosa che per altro non e' piu' supportata dalla versione 9, e i browser stanno rimuovendo (c'e' chi lo ha gia' rimosso) il supporto per java. Quindi sara' anche un sistema non piu' utilizzabile in generale (e meno male)

La stessa cosa succede con la maschera Java per le prove Invalsi (quella fatta per funzionare con Linux) che richiedeva (almeno fino allo scorso anno) Oracle Java. Ora il problema è che dobbiamo fare in modo almeno di dare ai tecnici una soluzione veloce per installarla nel momento in cui serva.

Ok, se qualcuno poi se lo vuole installare, e' un altro discorso, quindi lo togliamo dai metapacchetti, ok?

#4 Updated by Christopher R. Gabriel almost 5 years ago

  • Status changed from Commenti to Chiuso

Come discusso telefonicamente, viene rimosso oracle java in favore di openjdk.

I metapackages installato openjdk jre versioni 8 e 9.

Also available in: Atom PDF